package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag787;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT787Creator;

public class Tag72ZCreator extends AbsTagCreate {
    private MT787Creator mt787Creator;

    public Tag72ZCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt787Creator= (MT787Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag72ZValue = mt787Creator.getSendertoReceiverInformation();
        mt787Creator.set("72Z", tag72ZValue);
    }
}
